<?php
error_reporting(E_ALL);
ini_set('display_errors', 'On');

require_once 'connect.php';
require_once 'inc/messages.php';
require_once "inc/nfecode_class.php";

require_once 'api/nfephp/bootstrap.php';

use NFePHP\NFe\ToolsNFe;

$nfe = new ToolsNFe('api/nfephp/config/config.json');
$nfe->setModelo('55');

$aResposta = array();

/*  
$chNFe = '35150258716523000119550010000000091000000090';
$xCorrecao = 'Teste de carta de correcao em ambiente homologacao';
*/

$chNFe = $_POST['ds_chave'];
$xCorrecao= $_POST['ds_correcao'];

$tipo_ambiente= '2'; // Ambiente 1 Produção, 2 Homologação - Windows
$tipo_ambiente= $NfeCode->getAmbiente();

$nSeqEvento = 1;

if($chNFe=='' or $xCorrecao==''){
	addError('Deve ser definido a chave e o texto da carta de correção!');
}
else{
	try{
		$retorno = $nfe->sefazCCe($chNFe, $tipo_ambiente, $xCorrecao, $nSeqEvento, $aResposta);

		addMessage("Carta de Correção incluída com sucesso a chave:" . $chNFe);
	}
	catch(Exception $e) {
	    $ok = false;
	    $msg   = $e->getMessage();
	    addError($msg);
	  }
}

		/*
		echo '<br><br><PRE>';
		echo htmlspecialchars($nfe->soapDebug);
		echo '</PRE><BR>';
		echo "<pre>";
		print_r($aResposta);
		echo "<br>";  
		exit;
*/

header("Location:erpc_nfecode_cartacorrecao_add.php");
